
output "this_alarm_rule_contact_groups" {
  description = "List contact groups of the alarm rule."
  value       = module.memcache.this_alarm_rule_contact_groups
}

output "this_alarm_rule_cpu_usage_status" {
  description = "The current alarm cpu usage rule status."
  value       = module.memcache.this_alarm_rule_cpu_usage_status
}

output "this_alarm_rule_dimensions" {
  description = "Map of the resources associated with the alarm rule."
  value       = module.memcache.this_alarm_rule_dimensions
}

output "this_alarm_rule_effective_interval" {
  description = "The interval of effecting alarm rule."
  value       = module.memcache.this_alarm_rule_effective_interval
}

output "this_alarm_rule_enabled" {
  description = "Whether to enable alarm rule."
  value       = module.memcache.this_alarm_rule_enabled
}

output "this_alarm_rule_id" {
  description = "The ID of the alarm rule."
  value       = module.memcache.this_alarm_rule_id
}

output "this_alarm_rule_memory_usage_status" {
  description = "The current alarm memory usage rule status."
  value       = module.memcache.this_alarm_rule_memory_usage_status
}

output "this_alarm_rule_metric" {
  description = "Name of the monitoring metrics."
  value       = module.memcache.this_alarm_rule_metric
}

output "this_alarm_rule_name" {
  description = "The alarm name."
  value       = module.memcache.this_alarm_rule_name
}

output "this_alarm_rule_notify_type" {
  description = "Notification type."
  value       = module.memcache.this_alarm_rule_notify_type
}

output "this_alarm_rule_operator" {
  description = "Alarm comparison operator."
  value       = module.memcache.this_alarm_rule_operator
}

output "this_alarm_rule_period" {
  description = "Index query cycle."
  value       = module.memcache.this_alarm_rule_period
}

output "this_alarm_rule_project" {
  description = "Monitor project name."
  value       = module.memcache.this_alarm_rule_project
}

output "this_alarm_rule_silence_time" {
  description = " Notification silence period in the alarm state."
  value       = module.memcache.this_alarm_rule_silence_time
}

output "this_alarm_rule_statistics" {
  description = "Statistical method."
  value       = module.memcache.this_alarm_rule_statistics
}

output "this_alarm_rule_threshold" {
  description = "Alarm threshold value."
  value       = module.memcache.this_alarm_rule_threshold
}

output "this_alarm_rule_triggered_count" {
  description = "Number of trigger alarm."
  value       = module.memcache.this_alarm_rule_triggered_count
}

output "this_alarm_rule_used_connection_status" {
  description = "The current alarm usage memory rule status."
  value       = module.memcache.this_alarm_rule_used_connection_status
}

output "this_alarm_rule_webhook" {
  description = "The webhook that is called when the alarm is triggered."
  value       = module.memcache.this_alarm_rule_webhook
}

output "this_memcache_instance_auto_renew" {
  description = "Whether to renewal a DB instance automatically or not."
  value       = module.memcache.this_memcache_instance_auto_renew
}

output "this_memcache_instance_auto_renew_period" {
  description = "Auto-renewal period of an instance, in the unit of the month."
  value       = module.memcache.this_memcache_instance_auto_renew_period
}

output "this_memcache_instance_availability_zone" {
  description = "The availability zone in which memcache instance."
  value       = module.memcache.this_memcache_instance_availability_zone
}

output "this_memcache_instance_backup_id" {
  description = "If an instance created based on a backup set generated by another instance is valid, this parameter indicates the ID of the generated backup set."
  value       = module.memcache.this_memcache_instance_backup_id
}

output "this_memcache_instance_backup_policy_backup_period" {
  description = "This memcache instance backup policy backup period."
  value       = module.memcache.this_memcache_instance_backup_policy_backup_period
}

output "this_memcache_instance_backup_policy_backup_time" {
  description = "This Memcache instance backup policy backup time."
  value       = module.memcache.this_memcache_instance_backup_policy_backup_time
}

output "this_memcache_instance_charge_type" {
  description = "This memcache instance instance charge type."
  value       = module.memcache.this_memcache_instance_charge_type
}

output "this_memcache_instance_class" {
  description = "This memcache instance class."
  value       = module.memcache.this_memcache_instance_class
}

output "this_memcache_instance_engine_version" {
  description = "This memcache instance engine version."
  value       = module.memcache.this_memcache_instance_engine_version
}

output "this_memcache_instance_id" {
  description = "This memcache instance id."
  value       = module.memcache.this_memcache_instance_id
}

output "this_memcache_instance_maintain_end_time" {
  description = "The end time of the operation and maintenance time period of the instance."
  value       = module.memcache.this_memcache_instance_maintain_end_time
}

output "this_memcache_instance_maintain_start_time" {
  description = "The start time of the operation and maintenance time period of the instance."
  value       = module.memcache.this_memcache_instance_maintain_start_time
}

output "this_memcache_instance_name" {
  description = "This memcache instance name."
  value       = module.memcache.this_memcache_instance_name
}

output "this_memcache_instance_period" {
  description = "The duration that you will buy DB instance."
  value       = module.memcache.this_memcache_instance_period
}

output "this_memcache_instance_private_ip" {
  description = "Set the instance's private IP."
  value       = module.memcache.this_memcache_instance_private_ip
}

output "this_memcache_instance_security_ips" {
  description = "List of IP addresses allowed to access all memcache of an instance."
  value       = module.memcache.this_memcache_instance_security_ips
}

output "this_memcache_instance_tags" {
  description = "A mapping of tags to assign to the memcache instance resource."
  value       = module.memcache.this_memcache_instance_tags
}

output "this_memcache_instance_type" {
  description = "This memcache instance type."
  value       = module.memcache.this_memcache_instance_type
}

output "this_memcache_instance_vswitch_id" {
  description = "The id of vswitch in which memcache instance."
  value       = module.memcache.this_memcache_instance_vswitch_id
}

